Value (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.fwd

## Interface Value

- All Known Implementing Classes:
    AttributeValue

      public interface Value

  Value of an attribute in an event notification. An `AttributeValue` is a container for a typed vaule of an attribute in a notification. An `AttributeValue` can be of type `String`, `byte[]`, `int`, `long`, `double`, and `boolean`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOOL` boolean type.
    `static int` | `BYTEARRAY` string of bytes
    `static int` | `DOUBLE` double type.
    `static int` | `INT` integer type.
    `static int` | `LONG` integer type.
    `static int` | `NULL` null type, the default type of a Siena attribute
    `static int` | `STRING` string of bytes an alias to `BYTEARRAY` provided only for backward compatibility

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanValue()`
    `byte[]` | `byteArrayValue()`
    `double` | `doubleValue()`
    `int` | `getType()`
    `int` | `intValue()`
    `long` | `longValue()`
    `java.lang.String` | `stringValue()`

- - ### Field Detail

    - #### NULL

          static final int NULL

      null type, the default type of a Siena attribute
      See Also:
        Constant Field Values

    - #### BYTEARRAY

          static final int BYTEARRAY

      string of bytes
      See Also:
        Constant Field Values

    - #### STRING

          static final int STRING

      string of bytes an alias to `BYTEARRAY` provided only for backward compatibility
      See Also:
        Constant Field Values

    - #### LONG

          static final int LONG

      integer type. corresponds to the Java `long` type.
      See Also:
        Constant Field Values

    - #### INT

          static final int INT

      integer type. corresponds to the Java `int` type.
      See Also:
        Constant Field Values

    - #### DOUBLE

          static final int DOUBLE

      double type. corresponds to the Java `double` type.
      See Also:
        Constant Field Values

    - #### BOOL

          static final int BOOL

      boolean type. corresponds to the Java `boolean` type.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getType

          int getType()

    - #### intValue

          int intValue()

    - #### longValue

          long longValue()

    - #### doubleValue

          double doubleValue()

    - #### booleanValue

          boolean booleanValue()

    - #### stringValue

          java.lang.String stringValue()

    - #### byteArrayValue

          byte[] byteArrayValue()

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga